OpenJPEG 2.5.4

Data Fields
jpip_dec_param Struct Reference

JPIP decoding parameters. More...

`#include <openjpip.h>`

## Data Fields
Byte_t * | jpipstream
| JPT/JPP-stream.
Byte8_t | jpiplen
| length of jpipstream
msgqueue_param_t * | msgqueue
| message queue
metadatalist_param_t * | metadatalist
| metadata list going into JP2 file
ihdrbox_param_t * | ihdrbox
| ihdr box going into JP2 file
Byte_t * | jp2kstream
| J2K codestream or JP2 file codestream.
Byte8_t | jp2klen
| length of j2kstream or JP2 file

## Detailed Description

JPIP decoding parameters.

## Field Documentation

## ◆ ihdrbox

ihdrbox_param_t* jpip_dec_param::ihdrbox

ihdr box going into JP2 file

Referenced by decode_jpip(), and output_log().

## ◆ jp2klen

Byte8_t jpip_dec_param::jp2klen

length of j2kstream or JP2 file

Referenced by decode_jpip(), and fwrite_jp2k().

## ◆ jp2kstream

Byte_t* jpip_dec_param::jp2kstream

J2K codestream or JP2 file codestream.

Referenced by decode_jpip(), and fwrite_jp2k().

## ◆ jpiplen

Byte8_t jpip_dec_param::jpiplen

length of jpipstream

Referenced by decode_jpip(), and fread_jpip().

## ◆ jpipstream

Byte_t* jpip_dec_param::jpipstream

JPT/JPP-stream.

Referenced by decode_jpip(), and fread_jpip().

## ◆ metadatalist

metadatalist_param_t* jpip_dec_param::metadatalist

metadata list going into JP2 file

Referenced by decode_jpip(), init_jpipdecoder(), and output_log().

## ◆ msgqueue

msgqueue_param_t* jpip_dec_param::msgqueue

message queue

Referenced by decode_jpip(), init_jpipdecoder(), and output_log().

The documentation for this struct was generated from the following file:

- openjpip.h